Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 150793 - Failure to load annotation processors in user code
Failure to load annotation processors in user code
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Source
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jan Lahoda
issues@java
:
Depends on:
Blocks: 147393
  Show dependency treegraph
 
Reported: 2008-10-20 23:48 UTC by Jesse Glick
Modified: 2009-02-19 21:09 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Stack trace (3.37 KB, text/plain)
2008-10-20 23:49 UTC, Jesse Glick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2008-10-20 23:48:09 UTC
If using issue #147393 I create a 269-compliant annotation processor in openide.util, and in the resulting IDE open a
module project, I get an exception.

Either java.source should disable autodiscovered APs completely (e.g. -factorypath ""), or try to load them properly.
Comment 1 Jesse Glick 2008-10-20 23:49:05 UTC
Created attachment 72318 [details]
Stack trace
Comment 2 Jan Lahoda 2008-10-21 22:53:10 UTC
I am going to disable the AP discovery (-proc:none seems to be the best way to do it, -factorypath "" wouldn't work, IMO).
Comment 4 Quality Engineering 2008-10-22 15:42:07 UTC
Integrated into 'main-golden', will be available in build *200810221401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/d542add23820
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #150793: make sure the annotation processors will not be executed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo